Page MenuHomePhabricator

Build a commons extension that moves files to Commons
Closed, ResolvedPublic

Description

updated on March 10 2017

This task is about creating an extension for moving files to Commons. The extension should copy a file with its history to Commons, so that the Commons file page looks exactly as it would have looked, had the file been uploaded on Commons in the first place.

It works roughly like that

  • get the url of a file (any wikiproject is allowed)
  • copy the file to Commons if all prerequisites are met
  • if the file is from WP, map the WP template to the Commons template, based on the existing Commonshelper list
  • adds info about the move to the version history

Technical discussions that have already happened

  • The copying of binary files might be challenging: We might need to copy them from the SWIFT-backend itself
  • In general, API calls are preferred to moves/line copies directly from the db, but we might need to know all the different APIs from the wikiprojects
  • In order to better handle problems that might occur during the file move, it might be best to do things in the following order:
    • Copy file description with title etc
    • Copy binary files
    • Add the log entries

Background:
This is part of fulfilling on wish of the German-community speaking wishlist of 2013. For details see the parent task

Related Objects

StatusAssignedTask
OpenNone
Resolvedthiemowmde
ResolvedAddshore
Resolvedthiemowmde
ResolvedAddshore
ResolvedAddshore
OpenNone
DeclinedNone
ResolvedAndrew-WMDE
ResolvedAndrew-WMDE
ResolvedAddshore
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
Resolvedthiemowmde
Resolvedthiemowmde
DuplicateNone
ResolvedAddshore
DeclinedAddshore
ResolvedAddshore
ResolvedAddshore
InvalidAddshore
InvalidNone
ResolvedAndrew-WMDE
ResolvedAddshore
ResolvedAddshore
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedTobi_WMDE_SW
InvalidNone
ResolvedAndrew-WMDE
ResolvedAddshore
ResolvedAddshore
ResolvedAndrew-WMDE
ResolvedAndrew-WMDE
OpenNone
InvalidNone
ResolvedAddshore
DuplicateNone
OpenNone
InvalidNone
ResolvedWMDE-Fisch
OpenJStrodt_WMDE
ResolvedWMDE-Fisch
Resolvedthiemowmde
ResolvedAndrew-WMDE
OpenNone
Resolvedthiemowmde
Resolvedthiemowmde
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
ResolvedAndrew-WMDE
ResolvedAndrew-WMDE
ResolvedAndrew-WMDE
Resolvedthiemowmde
Resolvedthiemowmde
ResolvedNone
OpenNone
ResolvedNone
InvalidNone
DuplicateNone
ResolvedAndrew-WMDE
OpenNone
Resolved Lea_WMDE
Resolvedthiemowmde

Event Timeline

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptSep 26 2016, 6:06 PM
Jan_Dittrich added a comment.EditedSep 27 2016, 7:04 AM

Are there any existing ideas where the access to the functionality could be located?

E.g.

  • "as a 'transfer to commons' Link below each image on the wiki"
  • "on a tool-site on labs"

…etc.?

UPDATE: See T144480 for a UI suggestion

Restricted Application added a project: TCB-Team. · View Herald TranscriptSep 27 2016, 11:00 AM
Steinsplitter added a comment.EditedSep 28 2016, 12:24 PM

Admins and trusted users (license reviewers/rollbacker) should be able to revert wrong moves. This may be needed if a copyrighted file has been moved accidentally or if a troll misused the function.

Edit: is T143414, i overlooked it.

Steinsplitter added a comment.EditedSep 28 2016, 12:24 PM

removed - has been posted twice accidentally

Lea_WMDE updated the task description. (Show Details)Oct 4 2016, 12:55 PM
Lea_WMDE triaged this task as Normal priority.Oct 5 2016, 3:05 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Oct 5 2016, 3:28 PM

Not entirely relevant to this task, but worth mentioning that I'm working on a cross-platform, standalone tool, MTC!, which is designed to simplify and correctly perform the Transfer to Commons process.

Lea_WMDE updated the task description. (Show Details)Mar 10 2017, 5:51 PM
Emha added a subscriber: Emha.Mar 17 2017, 7:43 PM
thiemowmde closed this task as Resolved.May 17 2019, 9:11 AM
thiemowmde claimed this task.